%bcond_without static

Name:          libasyncns
Version:       0.8
Release:       18
Summary:       A C library for Linux/Unix for executing name service queries
License:       LGPLv2+
Url:           http://0pointer.de/lennart/projects/libasyncns/
Source0:       http://0pointer.de/lennart/projects/libasyncns/libasyncns-%{version}.tar.gz

BuildRequires: gcc 

%description
libasyncns is a C library for Linux/Unix for executing name service queries asynchronously. 
It is an asynchronous wrapper around getaddrinfo(3), getnameinfo(3), res_query(3) and res_search(3) 
from libc and libresolv.

%package       devel
Summary:       Development Files and Header files for %{name}
Requires:      %{name} = %{version}-%{release} pkgconfig

%description   devel
This %{name}-devel package contains libraries and header files for developing
applications that want to make use of %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 

%build
%configure  \
%if %{with static}
    --disable-static
%endif
%make_build

%install
%make_install
%delete_la

%ldconfig_scriptlets

%files 
%defattr(-,root,root)
%license  LICENSE
%{_libdir}/libasyncns.so.*

%files  devel
%defattr(-,root,root)
%{_includedir}/asyncns.h
%{_libdir}/pkgconfig/libasyncns.pc
%{_libdir}/libasyncns.so
%if %{without static}
%{_libdir}/*.a
%endif


%files  help
%doc README 
%{_docdir}/libasyncns/*

%changelog
* Sat Oct 22 2022 wangkerong <wangkerong@h-partners.com> - 0.8-18
- disable static library by default

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.8-17
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license files

* Mon Sep 2 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.8-16
- Package init
